> This page is for Itential Platform On-Prem, version 6 (default).
> For other versions, use one of these documentation indexes:
> - 6 (default): https://docs-test.itntl.com/itential-platform/6/llms.txt
> - 2023.2: https://docs-test.itntl.com/itential-platform/2023-2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-test.itntl.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-test.itntl.com/_mcp/server.

# Get task details

GET https://example.itential.io/workflow_builder/getTaskDetails/{app}/{task}

Returns a Task's details.

Reference: https://docs-test.itntl.com/itential-platform/6/api-reference/workflow-builder/get-task-details

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `app` (string, required) — Application's name (export field in model)
- `task` (string, required) — Task's id (hex)

## Response

### 200

Detailed Task.

- `workflow_builder_workflowDocument_anyTask`

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Types

### WorkflowBuilderWorkflowDocumentAnyTask0

- `name` (string, required)
- `summary` (string, required)
- `description` (string, required)
- `app` (string, required)
- `variables` (WorkflowBuilderWorkflowDocumentAnyTaskOneOf0Variables, required)
- `groups` (list of string, required)
- `type` ("manual", required)
- `view` (string, required)
- `nodeLocation` (WorkflowBuilderWorkflowDocumentAnyTaskOneOf0NodeLocation, optional) — Stores the coordinates used by canvasVersion: 3 workflows
- `x` (double, optional)
- `y` (double, optional)
- `deprecated` (boolean, optional)
- `scheduled` (boolean, optional)

### WorkflowBuilderWorkflowDocumentAnyTask1

- `name` (string, required)
- `summary` (string, required)
- `description` (string, required)
- `app` (string, required)
- `variables` (WorkflowBuilderWorkflowDocumentAnyTaskOneOf1Variables, required)
- `groups` (list of string, required)
- `type` ("automatic", required)
- `actor` (string, required)
- `nodeLocation` (WorkflowBuilderWorkflowDocumentAnyTaskOneOf1NodeLocation, optional) — Stores the coordinates used by canvasVersion: 3 workflows
- `x` (double, optional)
- `y` (double, optional)
- `deprecated` (boolean, optional)
- `scheduled` (boolean, optional)
- `retrySettings` (WorkflowBuilderWorkflowDocumentAnyTaskOneOf1RetrySettings, optional, nullable) — Retry settings for a task.

### WorkflowBuilderWorkflowDocumentAnyTask2

- `name` (string, required)
- `summary` (string, required)
- `description` (string, required)
- `app` (string, required)
- `variables` (WorkflowBuilderWorkflowDocumentAnyTaskOneOf2Variables, required)
- `groups` (list of string, required)
- `type` ("operation", required)
- `nodeLocation` (WorkflowBuilderWorkflowDocumentAnyTaskOneOf2NodeLocation, optional) — Stores the coordinates used by canvasVersion: 3 workflows
- `x` (double, optional)
- `y` (double, optional)
- `deprecated` (boolean, optional)
- `scheduled` (boolean, optional)
- `retrySettings` (WorkflowBuilderWorkflowDocumentAnyTaskOneOf2RetrySettings, optional, nullable) — Retry settings for a task.

### WorkflowBuilderWorkflowDocumentAnyTaskOneOf0Variables

- `incoming` (WorkflowBuilderWorkflowDocumentAnyTaskOneOf0VariablesIncoming, required)
- `outgoing` (WorkflowBuilderWorkflowDocumentAnyTaskOneOf0VariablesOutgoing, required)
- `error` (string, optional)
- `decorators` (list of WorkflowBuilderWorkflowDocumentAnyTaskOneOf0VariablesDecoratorsItems, optional)

### WorkflowBuilderWorkflowDocumentAnyTaskOneOf0NodeLocation

Stores the coordinates used by canvasVersion: 3 workflows

- `x` (double, required)
- `y` (double, required)

### WorkflowBuilderWorkflowDocumentAnyTaskOneOf1Variables

- `incoming` (WorkflowBuilderWorkflowDocumentAnyTaskOneOf1VariablesIncoming, required)
- `outgoing` (WorkflowBuilderWorkflowDocumentAnyTaskOneOf1VariablesOutgoing, required)
- `error` (string, optional)
- `decorators` (list of WorkflowBuilderWorkflowDocumentAnyTaskOneOf1VariablesDecoratorsItems, optional)

### WorkflowBuilderWorkflowDocumentAnyTaskOneOf1NodeLocation

Stores the coordinates used by canvasVersion: 3 workflows

- `x` (double, required)
- `y` (double, required)

### WorkflowBuilderWorkflowDocumentAnyTaskOneOf1RetrySettings

Retry settings for a task.

- `state` (list of enum, required) — Finish states the task will retry on. The task will retry on any of the included states.
  - Allowed values: `success`, `error`, `failure`
- `autoRetry` (boolean, required) — Whether the task is set to retry automatically or manually.
- `limit` (integer, required) — Limit of retries on a task before it will take normal transitions and stop retrying.
- `delay` (integer, required) — Delay between each retry in milliseconds.
- `count` (integer, optional) — Current retry count used for workflow engine job processing

### WorkflowBuilderWorkflowDocumentAnyTaskOneOf2Variables

- `incoming` (WorkflowBuilderWorkflowDocumentAnyTaskOneOf2VariablesIncoming, required)
- `outgoing` (WorkflowBuilderWorkflowDocumentAnyTaskOneOf2VariablesOutgoing, required)
- `error` (string, optional)
- `decorators` (list of WorkflowBuilderWorkflowDocumentAnyTaskOneOf2VariablesDecoratorsItems, optional)

### WorkflowBuilderWorkflowDocumentAnyTaskOneOf2NodeLocation

Stores the coordinates used by canvasVersion: 3 workflows

- `x` (double, required)
- `y` (double, required)

### WorkflowBuilderWorkflowDocumentAnyTaskOneOf2RetrySettings

Retry settings for a task.

- `state` (list of enum, required) — Finish states the task will retry on. The task will retry on any of the included states.
  - Allowed values: `success`, `error`, `failure`
- `autoRetry` (boolean, required) — Whether the task is set to retry automatically or manually.
- `limit` (integer, required) — Limit of retries on a task before it will take normal transitions and stop retrying.
- `delay` (integer, required) — Delay between each retry in milliseconds.
- `count` (integer, optional) — Current retry count used for workflow engine job processing

### WorkflowBuilderWorkflowDocumentAnyTaskOneOf0VariablesIncoming

### WorkflowBuilderWorkflowDocumentAnyTaskOneOf0VariablesOutgoing

### WorkflowBuilderWorkflowDocumentAnyTaskOneOf0VariablesDecoratorsItems

- `type` (enum, optional)
  - Allowed values: `encryption`
- `pointer` (string, optional)

### WorkflowBuilderWorkflowDocumentAnyTaskOneOf1VariablesIncoming

### WorkflowBuilderWorkflowDocumentAnyTaskOneOf1VariablesOutgoing

### WorkflowBuilderWorkflowDocumentAnyTaskOneOf1VariablesDecoratorsItems

- `type` (enum, optional)
  - Allowed values: `encryption`
- `pointer` (string, optional)

### WorkflowBuilderWorkflowDocumentAnyTaskOneOf2VariablesIncoming

### WorkflowBuilderWorkflowDocumentAnyTaskOneOf2VariablesOutgoing

### WorkflowBuilderWorkflowDocumentAnyTaskOneOf2VariablesDecoratorsItems

- `type` (enum, optional)
  - Allowed values: `encryption`
- `pointer` (string, optional)

## Examples

**Response**

```json
{
  "app": "string",
  "deprecated": true,
  "description": "string",
  "groups": [
    "string"
  ],
  "name": "string",
  "nodeLocation": {
    "x": 1.1,
    "y": 1.1
  },
  "scheduled": true,
  "summary": "string",
  "type": "string",
  "variables": {
    "decorators": [
      {
        "pointer": "string",
        "type": "encryption"
      }
    ],
    "error": "string",
    "incoming": {},
    "outgoing": {}
  },
  "view": "string",
  "x": 1.1,
  "y": 1.1
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/workflow_builder/getTaskDetails/ConfigurationManager/task"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/workflow_builder/getTaskDetails/ConfigurationManager/task';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/workflow_builder/getTaskDetails/ConfigurationManager/task"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/workflow_builder/getTaskDetails/ConfigurationManager/task")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/workflow_builder/getTaskDetails/ConfigurationManager/task")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/workflow_builder/getTaskDetails/ConfigurationManager/task');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/workflow_builder/getTaskDetails/ConfigurationManager/task");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/workflow_builder/getTaskDetails/ConfigurationManager/task")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```